%define major	0
%define libname	%mklibname celt 071 %{major}
%define devname	%mklibname %{name} -d

Name:           celt071
Version:        0.7.1
Release:        %mkrel 1
Summary:        An audio codec for use in low-delay speech and audio communication

Group:          Sound
License:        BSD and GPLv2+
# Files without license header are confirmed to be BSD. Will be fixed in later release
# http://lists.xiph.org/pipermail/celt-dev/2009-February/000063.html
URL:            http://www.celt-codec.org/
Source0:        http://downloads.us.xiph.org/releases/celt/celt-%{version}.tar.gz
Source1:        %{name}.pc.in
Patch0:         %{name}-append-version-suffix.patch
BuildRequires:  libogg-devel

%description
CELT (Constrained Energy Lapped Transform) is an ultra-low delay audio
codec designed for realtime transmission of high quality speech and audio.
This is meant to close the gap between traditional speech codecs
(such as Speex) and traditional audio codecs (such as Vorbis).

The CELT bitstream format is not yet stable, this package is a special
version of 0.7.1 that has the same bitstream format, but symbols and files
renamed from 'celt*' to 'celt071*' so that it is parallel installable with
the normal celt for packages requiring this particular bitstream format.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{devname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
PRovides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the libraries and header files for developing
applications that use %{name}.

%prep
%setup -q -n celt-%{version}

cp %{SOURCE1} .
%patch0 -p1

%build
autoreconf -vfi
%configure2_5x --disable-static

# Remove rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO
%{_bindir}/celtenc071
%{_bindir}/celtdec071

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{devname}
%defattr(-,root,root)
%doc README
%{_includedir}/%{name}
%{_libdir}/pkgconfig/celt071.pc
%{_libdir}/lib%{name}.so


%changelog

* Sat Nov 19 2011 wally <wally> 0.7.1-1.mga2
+ Revision: 169136
- imported package celt071

